Bug 7817 - using pthread_mutex_lock across processes
Summary: using pthread_mutex_lock across processes
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-15 19:28 UTC by mbhatia
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 14:52:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mbhatia 1999-12-15 19:28:06 UTC
There is a problem when the pthread_mutex_lock
and associated calls are used across processes,
when the lock structure resides inside shared memory
(retrieved using shm_get). It seems that a particular
call to pthread_mutex_lock, when the lock is already
in possession by another process ends up inserting
garbage (local memory pointers) into the lock structure,
so that when the other process tries to release the lock,
it crashes.

Is there a fix for this ?

Comment 1 Cristian Gafton 2000-05-22 14:52:59 UTC
assign to jakub

Comment 2 Jakub Jelinek 2000-09-08 07:53:56 UTC
pthread mutexes can be used only within threads of one process.
You need to write your own mutices if you want to make them work accross
processes.


Note You need to log in before you can comment on or make changes to this bug.